Skip to main content
POST
/
v1
/
auth
/
external
/
sign-up
Creating a Merchant Account
curl --request POST \
  --url https://api.hel.io/v1/auth/external/sign-up \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "wallets": [
    {
      "name": "<string>",
      "address": "<string>"
    }
  ],
  "user": {
    "email": "<string>",
    "name": "<string>",
    "discordUsername": "<string>",
    "twitterUsername": "<string>"
  },
  "company": {
    "name": "<string>",
    "email": "<string>",
    "websiteUrl": "<string>",
    "discordUsername": "<string>",
    "address": "<string>",
    "phoneNumber": "<string>",
    "kycVerified": true
  }
}
'
{
  "user": {
    "id": "681297e9b510d96df0eb6406",
    "email": "user@test.com",
    "userType": null,
    "name": "Test",
    "payoutWallets": [
      {
        "id": "681297e9b510d96df0eb6412",
        "publicKey": "DsUFWNpve7hVQdhWDAfUTGq78SpZZ3tVLdnJiRa54QBU",
        "name": "Test Wallet"
      }
    ]
  },
  "company": {
    "id": "681297e9b510d96df0eb6408",
    "name": "Company",
    "email": "company@test.com",
    "websiteUrl": "https://test.com",
    "discordUsername": "test-discord-username",
    "phoneNumber": "+1234567890",
    "kycVerified": true
  },
  "redirectUrl": "https://app.hel.io/auth/external-login?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjY4MTI5N2U5YjUxMGQ5NmRmMGViNjQwNiIsImlhdCI6MTc0NjA0OTAwMSwiZXhwIjoxNzQ2MDQ5MTIxfQ.C62U9M6g9OE3_f_XbhpU9PDtBigp7Do4mYtDnfileD4"
}
Note: When using the production environment at moonpay.hel.io, set your API endpoint to api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.

Query Parameters

apiKey
string
required

Contact the Helio team directly to obtain API keys.

Body

application/json
id
string

Merchant-generated unique identifier used as a stable external reference for the account.

wallets
object[]

List of user wallets to associate with the sign-up request.

user
object

Details about the individual user signing up.

company
object

Details about the company associated with the sign-up.

Response

Returns user and company details along with a redirect URL.

The response is of type object.